/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { ICollection, IContext, IPartitionLambda, IPartitionLambdaConfig, IPartitionLambdaFactory, MongoManager } from "@fluidframework/server-services-core";
export declare class CopierLambdaFactory extends EventEmitter implements IPartitionLambdaFactory {
    private readonly mongoManager;
    private readonly rawOpCollection;
    constructor(mongoManager: MongoManager, rawOpCollection: ICollection<any>);
    create(config: IPartitionLambdaConfig, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map